Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee
Interface J2EEManagementEvent

public interface J2EEManagementEvent

Method Summary
`java.lang.String` | `getMessage()` An informational message about the event.
`long` | `getSequence()` The sequence number of the event.
`java.lang.String` | `getSource()` The name of the managed object that generated this event.
`java.lang.String` | `getType()` The type of the event.
`long` | `getWhen()` The time of the event represented as a long, whose value is the number of milliseconds since January 1, 1970, 00:00:00.

Method Detail

### getSource

    public java.lang.String getSource()

  The name of the managed object that generated this event.

  Returns:
    the ObjectName of the object, as a String

### getWhen

    public long getWhen()

  The time of the event represented as a long, whose value is the number of milliseconds since January 1, 1970, 00:00:00.

### getSequence

    public long getSequence()

  The sequence number of the event. Identifies the position of the event in a stream of events. The sequence number provides a means of determining the order of sequential events that occurred with the same timestamp (within the minimum supported unit of time).

### getType

    public java.lang.String getType()

  The type of the event. State manageable objects generate a J2EEEvent object with the type attribute set to "STATE" whenever they reach the RUNNING, STOPPED or FAILED states.

### getMessage

    public java.lang.String getMessage()

  An informational message about the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.